Package org.apache.qpid.proton.codec

# Class NullType

java.lang.Object
org.apache.qpid.proton.codec.NullType

All Implemented Interfaces:
  `AMQPType<Void>`, `PrimitiveType<Void>`

public final class NullType extends Object

## Method Summary

Modifier and Type
Method
Description
`Collection<org.apache.qpid.proton.codec.NullType.NullEncoding>`
`getAllEncodings()`
`org.apache.qpid.proton.codec.NullType.NullEncoding`
`getCanonicalEncoding()`
`org.apache.qpid.proton.codec.NullType.NullEncoding`
`getEncoding(Void val)`
`Class<Void>`
`getTypeClass()`
`void`
`write()`
`final void`
`write(Void val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<Void> getTypeClass()

### getEncoding

public org.apache.qpid.proton.codec.NullType.NullEncoding getEncoding(Void val)

### getCanonicalEncoding

public org.apache.qpid.proton.codec.NullType.NullEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<org.apache.qpid.proton.codec.NullType.NullEncoding> getAllEncodings()

### write

public void write()

### write

public final void write(Void val)

Specified by:
  `write` in interface `AMQPType<T>`